/****************************************************************************/
/*                                                                          */
/*                             MJDtoDate()                                  */
/*                                                                          */
/*      Function for MJD to calendar date conversion                        */
/*                                                                          */
/*      Parameters:                                                         */
/*          long mjd     modified Julian day # to be converted into date    */
/*          int *day     pointer to day of date to be found from MJD        */
/*          int *month   pointer to month of date to be found from MJD      */
/*          int *year    pointer to year of date to be found from MJD       */
/*                                                                          */
/*      Return:                                                             */
/*          none (void)                                                     */
/*                                                                          */
/*      Function revision record:                                           */
/*          11/11/92    Created                                             */
/*                                                                          */
/*  (c) 1992    W. Riley  Hamilton Technical Services  All Rights Reserved  */
/*                                                                          */
/****************************************************************************/

#include "frequenc.h"                        /* FrequenC Library header file */

void __declspec(dllexport) FAR PASCAL MJDtoDate(long mjd, int *day,
	int *month,	int *year)
{
    mjd+=679019;
    *year=(int)((mjd-122.1)/365.25);
    *month=(int)((mjd-(long)(365.25**year))/30.6001);
    *day=mjd-(int)(365.25**year)-(int)(30.6001**month);

    if(*month<14)
    {
        *month-=1;
    }                                                             /* end if */
    else
    {
        *month-=13;
    }                                                           /* end else */

    if(*month<3)
    {
        *year+=1;
    }                                                             /* end if */

}                                                        /* end MjdToDate() */

/****************************************************************************/

